Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#483 closed defect (fixed)

Potential Fatal Error in BSP efi68k efi332 mrm332 in 4.6.0-pre4

Reported by: cedric_aubert Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: fs/fat Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

In all this BSP (68k) we use a function called
Spurious_Initialize to init the exception vector to
a spurious it handler. To do this we use
set_vector(...,..., 1), this use a generic RTEMS
handler.
And set_vector(...,..., 1) use the _ISR_Vector_Table.
But in those BSP, Spurious_Initialize is call in the
first start function (start.c or .S) before the call
of
boot_card function. But boot_card call
rtems_initialize_executive_early that's call
_ISR_Handler_Initialization witch allocate the
_ISR_Vector_table in the Workspace. So the function
Spurious_Initialize was call and modified the
_ISR_Vector_table before the _ISR_Vector_Table
initialization.

Release:
RTEMS-4.6.0-PRE4

Attachments (1)

BSP68K_SpuriousInit.patch (4.6 KB) - added by cedric_aubert on 12/03/06 at 13:31:12.
BSP68K_SpuriousInit.patch

Download all attachments as: .zip

Change History (4)

comment:1 Changed on 09/11/03 at 15:52:01 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 09/15/03 at 12:26:57 by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied to both the 4.6 branch and trunk.

Changed on 12/03/06 at 13:31:12 by cedric_aubert

Attachment: BSP68K_SpuriousInit.patch added

BSP68K_SpuriousInit.patch

comment:3 Changed on 10/10/17 at 06:50:58 by Sebastian Huber

Component: bspsfs/fat
Note: See TracTickets for help on using tickets.